Bug 698057 (CVE-2011-1598, CVE-2011-1748) - CVE-2011-1598 CVE-2011-1748 kernel: missing check in can/bcm and can/raw socket releases
Summary: CVE-2011-1598 CVE-2011-1748 kernel: missing check in can/bcm and can/raw sock...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1598, CVE-2011-1748
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 698482 698483 698484
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-20 04:26 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:44 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 12:40:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0836 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-06-01 19:56:53 UTC
Red Hat Product Errata RHSA-2011:1253 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-09-12 19:43:48 UTC

Description Eugene Teo (Security Response) 2011-04-20 04:26:45 UTC
CVE-2011-1598
Reported by Dave Jones. We can get here with a NULL socket argument passed from userspace, so we need to handle it accordingly.

can/bcm release: http://permalink.gmane.org/gmane.linux.network/192898

CVE-2011-1748
Reported by Oliver Hartkopp; can/raw release:

can/raw release: http://permalink.gmane.org/gmane.linux.network/192974

Comment 3 Eugene Teo (Security Response) 2011-04-21 00:48:16 UTC
Reported by Oliver Hartkopp; can/raw release: http://permalink.gmane.org/gmane.linux.network/192974

Acknowledgements CVE-2011-1748:

Red Hat would like to thank Oliver Hartkopp for reporting this issue.

Comment 4 Eugene Teo (Security Response) 2011-04-21 00:49:47 UTC
Statement:

The Linux kernel as shipped with Red Hat Enterprise Linux 3, 4 and 5 did not
include support for the CAN protocol, and therefore are not affected by this
issue. This has been addressed in Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-0836.html, and https://rhn.redhat.com/errata/RHSA-2011-1253.html.

Comment 5 Dave Jones 2011-04-21 01:01:23 UTC
note that the two patches in comment 1 and comment 2 address two separate issues in the same protocol.  Same bug, different code paths.

Comment 7 errata-xmlrpc 2011-06-01 19:57:07 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0836 https://rhn.redhat.com/errata/RHSA-2011-0836.html

Comment 8 Vincent Danen 2011-09-02 04:11:30 UTC
Acknowledgements CVE-2011-1598:

(none)

Comment 9 errata-xmlrpc 2011-09-12 19:45:19 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2011:1253 https://rhn.redhat.com/errata/RHSA-2011-1253.html


Note You need to log in before you can comment on or make changes to this bug.